From bed111be0caf04b3591306a7d8024116875e2b5d Mon Sep 17 00:00:00 2001
From: Matthijs van der Vleuten <git@zr40.nl>
Date: Thu, 18 Oct 2018 21:05:44 +0200
Subject: [PATCH] Remove stickiness from navbar

Commit 6679835174a93d5688c649c4feb2604cd6afd2a0 added the site-wide
navigation bar to the docs pages. This navigation bar is stuck to the
top of the browser viewport.

This patch removes the position: fixed style from the navigation bar and
removes the .pg-shout-box padding that compensated for the height of the
navigation bar.

Additionally, since the navigation bar is now no longer permanently on
screen, the main.js script (which only contains code for animating the
navigation bar) is also removed from the docs pages.
---
 media/css/main.css           | 5 -----
 templates/docs/docspage.html | 3 +--
 2 files changed, 1 insertion(+), 7 deletions(-)

diff --git a/media/css/main.css b/media/css/main.css
index 4f3e15a..d270c01 100644
--- a/media/css/main.css
+++ b/media/css/main.css
@@ -1226,10 +1226,6 @@ h1.subject {
     .navbar.compressed {
       padding: 0 10px;
     }
-
-    .pg-shout-box {
-      padding-top: 3.7rem;
-    }
 }
 
 @media (max-width: 992px) {
@@ -1247,7 +1243,6 @@ h1.subject {
     }
 
     .pg-shout-box {
-      padding-top: 2.8rem;
       margin-bottom: 1rem;
     }
 
diff --git a/templates/docs/docspage.html b/templates/docs/docspage.html
index 79b48df..a16afe1 100644
--- a/templates/docs/docspage.html
+++ b/templates/docs/docspage.html
@@ -26,7 +26,7 @@
       <div class="row justify-content-md-center">
         <div class="col">
           <!-- Header -->
-          <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
+          <nav class="navbar navbar-expand-lg navbar-light bg-light">
             <a class="navbar-brand p-0" href="/">
               <img class="logo" src="/media/img/about/press/elephant.png" alt="PostgreSQL Elephant Logo">
             </a>
@@ -164,7 +164,6 @@
     <script src="/media/js/jquery-3.2.1.slim.min.js?{{gitrev}}"></script>
     <script src="/media/js/popper.min.js?{{gitrev}}"></script>
     <script src="/media/js/bootstrap.min.js?{{gitrev}}"></script>
-    <script src="/media/js/main.js?{{gitrev}}"></script>
     <script type="text/javascript">
       var _gaq = _gaq || [];
       _gaq.push(['_setAccount', 'UA-1345454-1']);
-- 
2.17.0

